gpgv_1.4.20-1ubuntu3.3_amd64.deb


Advertisement

Description

gpgv - GNU privacy guard - signature verification tool

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Updates Main amd64
Package filename gpgv_1.4.20-1ubuntu3.3_amd64.deb
Package name gpgv
Package version 1.4.20
Package release 1ubuntu3.3
Package architecture amd64
Package type deb
Category utils
Homepage https://www.gnupg.org
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 161.39 KB
Installed size 431.00 KB
GnuPG is GNU's tool for secure communication and data storage.
gpgv is a stripped-down version of gnupg which is only able to check
signatures.  It is smaller than the full-blown gnupg and uses a
different (and simpler) way to check that the public keys used to
make the signature are trustworthy.

Alternatives

Package Version Architecture Repository
gpgv_1.4.20-1ubuntu3.3_i386.deb 1.4.20 i386 Ubuntu Updates Main
gpgv_1.4.20-1ubuntu3_i386.deb 1.4.20 i386 Ubuntu Main
gpgv_1.4.20-1ubuntu3_amd64.deb 1.4.20 amd64 Ubuntu Main
gpgv - - -

Requires

Name Value
libbz2-1.0 -
libc6 >= 2.14
zlib1g >= 1:1.1.4

Download

Type URL
Mirror archive.ubuntu.com
Binary Package gpgv_1.4.20-1ubuntu3.3_amd64.deb
Source Package gnupg

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install gpgv deb package:
    # sudo apt-get install gpgv

Files

Path
/usr/bin/gpgv
/usr/share/doc/gpgv/changelog.Debian.gz
/usr/share/doc/gpgv/copyright
/usr/share/man/man1/gpgv.1.gz

Changelog

2018-08-06 - Alex Murray <alex.murray@canonical.com>
gnupg (1.4.20-1ubuntu3.3) xenial-security; urgency=medium
* SECURITY UPDATE: full RSA key recovery via side-channel attack
- debian/patches/CVE-2017-7526-1.patch: simplify loop in mpi/mpi-pow.c.
- debian/patches/CVE-2017-7526-2.patch: use same computation for square
and multiply in mpi/mpi-pow.c.
- debian/patches/CVE-2017-7526-3.patch: fix allocation size for mpi_pow
- debian/patches/CVE-2017-7526-4.patch: add exponent blinding in
cipher/rsa.c.
- debian/patches/CVE-2017-7526-5.patch: allow different build directory
- CVE-2017-7526
2018-06-08 - Steve Beattie <sbeattie@ubuntu.com>
gnupg (1.4.20-1ubuntu3.2) xenial-security; urgency=medium
* SECURITY UPDATE: missing sanitization of verbose output
- debian/patches/CVE-2018-12020.patch: Sanitize diagnostic with
the original file name.
- CVE-2018-12020
2016-08-17 - Marc Deslauriers <marc.deslauriers@ubuntu.com>
gnupg (1.4.20-1ubuntu3.1) xenial-security; urgency=medium
* SECURITY UPDATE: random number generator prediction
- debian/patches/CVE-2016-6313-1.patch: improve readability by using a
macro in cipher/random.c.
- debian/patches/CVE-2016-6313-2.patch: hash continuous areas in the
csprng pool in cipher/random.c.
- CVE-2016-6313
2016-02-12 - Marc Deslauriers <marc.deslauriers@ubuntu.com>
gnupg (1.4.20-1ubuntu3) xenial; urgency=medium
* debian/patches/lp1541925.patch: switch to final upstream commit.
2016-02-09 - Marc Deslauriers <marc.deslauriers@ubuntu.com>
gnupg (1.4.20-1ubuntu2) xenial; urgency=medium
* debian/patches/lp1541925.patch: Make sure directory exists before
creating the lock. (LP: #1541925)
2016-01-28 - Martin Pitt <martin.pitt@ubuntu.com>
gnupg (1.4.20-1ubuntu1) xenial; urgency=medium
* Merge with Debian. Remaining Ubuntu changes:
- Disable mlock() test since it fails with ulimit 0 (on buildds).
- Set gpg (or gpg2) and gpgsm to use a passphrase agent by default.
- Only suggest gnupg-curl and libldap; recommendations are pulled into
minimal, and we don't need the keyserver utilities in a minimal Ubuntu
system.
- Remove the Win32 build.
- Build using dh-autoreconf.
- Disable inline assembler for ppc64el.
- Enable SHA-512 support in gpgv-udeb.
2015-12-22 - Daniel Kahn Gillmor <dkg@fifthhorseman.net>
gnupg (1.4.20-1) unstable; urgency=medium
* new upstream release
2015-11-26 - Martin Pitt <martin.pitt@ubuntu.com>
gnupg (1.4.19-6ubuntu1) xenial; urgency=medium
* Merge with Debian. Remaining Ubuntu changes:
- Disable mlock() test since it fails with ulimit 0 (on buildds).
- Set gpg (or gpg2) and gpgsm to use a passphrase agent by default.
- Only suggest gnupg-curl and libldap; recommendations are pulled into
minimal, and we don't need the keyserver utilities in a minimal Ubuntu
system.
- Remove the Win32 build.
- Build using dh-autoreconf.
- Disable inline assembler for ppc64el.
- Enable SHA-512 support in gpgv-udeb.
2015-08-22 - Daniel Kahn Gillmor <dkg@fifthhorseman.net>
gnupg (1.4.19-6) unstable; urgency=medium
* dropping gnupg-udeb
* require rebuild of l10n files
* make gpg signature verification work under GCC 5 (Closes: #800641)
* fix es l10n of public key types
2015-08-18 - Daniel Kahn Gillmor <dkg@fifthhorseman.net>
gnupg (1.4.19-5) unstable; urgency=medium
* use OPTION putenv=DBUS_SESSION_BUS_ADDRESS= instead of OPTION
DBUS_SESSION_BUS_ADDRESS=

See Also

Package Description
graphviz-dev_2.38.0-12ubuntu2.1_all.deb transitional package for graphviz-dev rename
graphviz-doc_2.38.0-12ubuntu2.1_all.deb additional documentation for graphviz
graphviz_2.38.0-12ubuntu2.1_amd64.deb rich set of graph drawing tools
grep_2.25-1~16.04.1_amd64.deb GNU grep, egrep and fgrep
grub-common_2.02~beta2-36ubuntu3.23_amd64.deb GRand Unified Bootloader (common files)
grub-efi-amd64-bin_2.02~beta2-36ubuntu3.23_amd64.deb GRand Unified Bootloader, version 2 (EFI-AMD64 binaries)
grub-efi-amd64-signed_1.66.23+2.02~beta2-36ubuntu3.23_amd64.deb GRand Unified Bootloader, version 2 (EFI-AMD64 version, signed)
grub-efi-amd64_2.02~beta2-36ubuntu3.23_amd64.deb GRand Unified Bootloader, version 2 (EFI-AMD64 version)
grub-efi-ia32-bin_2.02~beta2-36ubuntu3.23_amd64.deb GRand Unified Bootloader, version 2 (EFI-IA32 binaries)
grub-efi-ia32_2.02~beta2-36ubuntu3.23_amd64.deb GRand Unified Bootloader, version 2 (EFI-IA32 version)
grub-efi_2.02~beta2-36ubuntu3.23_amd64.deb GRand Unified Bootloader, version 2 (dummy package)
grub-ieee1275-bin_2.02~beta2-36ubuntu3.23_amd64.deb GRand Unified Bootloader, version 2 (Open Firmware binaries)
grub-ieee1275_2.02~beta2-36ubuntu3.23_amd64.deb GRand Unified Bootloader, version 2 (Open Firmware version)
grub-ipxe_1.0.0+git-20150424.a25a16d-1ubuntu1.2_all.deb Network booting from GRUB using iPXE
grub-legacy-ec2_19.2-36-g059d049c-0ubuntu2~16.04.1_all.deb Handles update-grub for ec2 instances
Advertisement
Advertisement